Suno Vox
curl --request POST \
--url https://api.acedata.cloud/suno/vox \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audio_id": "c5a97c83-ad13-4b0e-8655-0a68471062fb"
}
'import requests
url = "https://api.acedata.cloud/suno/vox"
payload = { "audio_id": "c5a97c83-ad13-4b0e-8655-0a68471062fb" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({audio_id: 'c5a97c83-ad13-4b0e-8655-0a68471062fb'})
};
fetch('https://api.acedata.cloud/suno/vox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "9d5ce870-18e3-4c17-a1d9-7ef5a07918e9",
"trace_id": "c31b50cd-0dbe-4e53-a7a5-83965dc5ad6b",
"data": {
"id": "24f0827e-5847-4011-b9b7-fc0b62032b65",
"source_clip_id": "42599b24-fb14-4cd3-a444-e15ffde3661b",
"status": "complete",
"vocal_audio_url": "https://cdn1.suno.ai/processed_24f0827e-5847-4011-b9b7-fc0b62032b65_vocals.m4a",
"vocal_end_s": 30,
"vocal_start_s": 20,
"wave_response": {
"waveform_aggregates": [
{
"data": [
[
-4,
4,
-50,
73,
-2517,
2887,
294
],
[
-5,
4,
296
]
],
"mip_map_level": 11
},
{
"data": [
[
-19576,
20406,
-16717,
16980,
-18926,
20807,
-20029,
20103,
-16437,
20899
],
[
-19578,
20406,
-16720,
16980,
-18825,
20051,
-20029,
20103,
-16453,
20903
]
],
"mip_map_level": 20
}
]
}
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Suno Vox
POST
/
suno
/
vox
Suno Vox
curl --request POST \
--url https://api.acedata.cloud/suno/vox \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audio_id": "c5a97c83-ad13-4b0e-8655-0a68471062fb"
}
'import requests
url = "https://api.acedata.cloud/suno/vox"
payload = { "audio_id": "c5a97c83-ad13-4b0e-8655-0a68471062fb" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({audio_id: 'c5a97c83-ad13-4b0e-8655-0a68471062fb'})
};
fetch('https://api.acedata.cloud/suno/vox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "9d5ce870-18e3-4c17-a1d9-7ef5a07918e9",
"trace_id": "c31b50cd-0dbe-4e53-a7a5-83965dc5ad6b",
"data": {
"id": "24f0827e-5847-4011-b9b7-fc0b62032b65",
"source_clip_id": "42599b24-fb14-4cd3-a444-e15ffde3661b",
"status": "complete",
"vocal_audio_url": "https://cdn1.suno.ai/processed_24f0827e-5847-4011-b9b7-fc0b62032b65_vocals.m4a",
"vocal_end_s": 30,
"vocal_start_s": 20,
"wave_response": {
"waveform_aggregates": [
{
"data": [
[
-4,
4,
-50,
73,
-2517,
2887,
294
],
[
-5,
4,
296
]
],
"mip_map_level": 11
},
{
"data": [
[
-19576,
20406,
-16717,
16980,
-18926,
20807,
-20029,
20103,
-16437,
20899
],
[
-19578,
20406,
-16720,
16980,
-18825,
20051,
-20029,
20103,
-16453,
20903
]
],
"mip_map_level": 20
}
]
}
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Авторизації
API token from https://platform.acedata.cloud
Заголовки
Suno Vox Param Accept
Доступні опції:
application/json Тіло
application/json
Чи була ця сторінка корисною?
⌘I

